| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_bilinear_interp_instance_q7 Struct Reference

Instance structure for the Q15 bilinear interpolation function.

## Data Fields

uint16_t | numRows
uint16_t | numCols
q7_t * | pData

## Field Documentation

uint16_t arm_bilinear_interp_instance_q7::numCols

number of columns in the data table.

Referenced by arm_bilinear_interp_q7().

uint16_t arm_bilinear_interp_instance_q7::numRows

number of rows in the data table.

Referenced by arm_bilinear_interp_q7().

q7_t* arm_bilinear_interp_instance_q7::pData

points to the data table.

Referenced by arm_bilinear_interp_q7().